# filmsim

This is an exploration into a few things:
 - An LLM based project (I do minimal coding)
 - Film simulation
 - Real life film capture

This project seeks to create a fast, "batteries included", film simulation package that walks the user through a film simulation.

Currently we have the following pipeline components:
 - `filmcolor` - Takes in a digital color positive (picture from your digital camera) and outputs a simulated film negative based on the film stock chosen
 - `filmscan` - Simulates the film scan and negative reversal process by referencing the "[Negadoctor](https://github.com/darktable-org/darktable/blob/master/src/iop/negadoctor.c)" module from [Darktable](https://www.darktable.org/), but adding in a few auto features for "batteries included"
 - `filmgrain` - Adds grain based on the filmgrain method by [Zhang et al. (2023)](https://dl.acm.org/doi/10.1145/3592127) in either RGB or monochrome

All scripts are designed to take in TIFF/PNG/JPG, and output TIFF/PNG/JPG. TIFFs are output in uncompressed 16-bit.

`filmcolor` can additionally take in Sony ARW and various DNG camera RAW files.

All scripts are self contained and portable.

Details about each script can be found in their respective readmes.

This project also contains test input images and outputs at various stages of development.